<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>

    <!-- HEAD VUEJS + FUNCIONALIDAD-->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta content="text/html; charset=UTF-8" http-equiv="content-type">
    <meta charset="UTF-8">
    <!--    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">   <meta charset="UTF-8">-->
    <!--    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>-->
    <!--    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>-->
    <!--    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>-->
    <link th:href="@{/styles/template-main.css}" rel="stylesheet" />
    <link th:href="@{/styles/cssandjs/main.css}" rel="stylesheet" />

    <!-- HEAD TEMPLATE-->
    <title>ZappApp</title>
    <!-- Fuentes-->
    <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>
    <!-- Estilos css-->
    <!--    <link href="/static/styles/template-main.css" rel="stylesheet">-->

</head>

<body id="page-top">
    <div id="app">
        <!-- Page Wrapper -->
        <div id="wrapper">

            <!-- Sidebar -->
            <menu-navegacion >
            </menu-navegacion>
            <!-- End of Sidebar -->

            <!-- Content Wrapper -->
            <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                        <!-- Sidebar Toggle (Topbar) -->
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>

                        <!-- Topbar Navbar -->
                        <ul class="navbar-nav ml-auto">

                            <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                            <li class="nav-item dropdown no-arrow d-sm-none">
                                <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-search fa-fw"></i>
                                </a>
                                <!-- Dropdown - Messages -->
                                <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                    aria-labelledby="searchDropdown">
                                    <form class="form-inline mr-auto w-100 navbar-search">
                                        <div class="input-group">
                                            <input type="text" class="form-control bg-light border-0 small"
                                                placeholder="Search for..." aria-label="Search"
                                                aria-describedby="basic-addon2">
                                            <div class="input-group-append">
                                                <button class="btn btn-primary" type="button">
                                                    <i class="fas fa-search fa-sm"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </li>

                            <div class="topbar-divider d-none d-sm-block"></div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow">
                                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                    <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                                </a>
                                <!-- Dropdown - User Information -->
                                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                    aria-labelledby="userDropdown">
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Cerrar cesión
                                    </a>
                                </div>
                            </li>

                        </ul>

                    </nav>
                    <!-- End of Topbar -->

                    <!-- Begin Page Content -->
                    <div class="container-fluid">

                        <!-- DataTales Example -->
                        <div class="card shadow mb-4">
                            <div class="card-header d-flex py-3">
                                <h2 class="m-0 font-weight-bold text-primary">Ordenes de producción</h2>
                                <a class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#newOrderoModal">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-box-open"></i>
                                    </span>
                                    <span class="text">Nueva Orden de Produccion</span>
                                </a>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Talle</th>
                                            <th>Color</th>
                                            <th>Cantidad</th>
                                            <th @click='ordenarEstado()'>Estado</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <template v-for="(ord,index) in ordenes_produccion">
                                            <tr>
                                                <td scope="col">
                                                    {{ ord.production_order_id.id }}
                                                </td>
                                                <td>
                                                    {{ ord.production_order_id.modelProduction.modelProduct.mark}} 
                                                </td>
                                                <td>
                                                    {{ ord.production_order_id.modelProduction.modelProduct.name }}
                                                </td>
                                                <td>
                                                    {{ ord.production_order_id.waistProduction.name }}
                                                </td>
                                                <td>
                                                    {{ ord.production_order_id.colourProduction.name }}
                                                </td>
                                                <td>
                                                    {{ ord.production_order_id.quantity }}
                                                </td>
                                                <td scope="col">{{ ord.description }}
                                                </td>
                                                <td>
                                                    <a class="btn" @click='verDetalleOrden(index)' href="#" data-toggle="modal" data-target="#editOrderoModal">
                                                        <i class="far fa-edit"></i>
                                                    </a>
                                                    <a class="btn" @click='BorrarOrden(ord.production_order_id.id)'>
                                                        <i class="far fa-trash-alt"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        </template>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.container-fluid -->

                </div>
                <!-- End of Main Content -->

                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>Copyright &copy; G6 Solutions 2021</span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->

            </div>
            <!-- End of Content Wrapper -->

        </div>
        <!-- End of Page Wrapper -->
        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up"></i>
        </a>
        <!-- New Product Modal  v-if="ventana" -->
        <div class="modal fade" id="newOrderoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog costume-modal-dialog" role="document">
                <div class="modal-content costume-modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"></h5>
                        <button  class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="false">×</span>
                        </button>

                    </div>
                    <div class="modal-body">
                        <div class="p-2">
                            <form class="user">
                                <div class="form-group row">
                                    <div class="form-group row">
                                        <div class="col">
                                            <label class="form-label"><font style="vertical-align: inherit;">Eligir Talle</font></label>
                                            <select class="form-control" v-model='orden.waist_production_id'>
                                                <option  v-for="talle in talles" v-bind:value="talle.id"> {{ talle.name }}</option>
                                            </select>
                                        </div>
                                        <div class="col">
                                            <label class="form-label"><font style="vertical-align: inherit;">Eligir Color</font></label>
                                            <select class="form-control" v-model='orden.colour_production_id'>
                                                <option  v-for="color in colores" v-bind:value="color.id"> {{ color.name }}</option>
                                            </select>
                                        </div>
                                        <div class="col">
                                            <label class="form-label"><font style="vertical-align: inherit;">Cantidad</font></label>
                                            <input class="form-control" type="number" v-model='orden.quantity '/>
                                        </div>
                                    </div>
                                    
                                    <div class="table-responsive" s>
                                        <label> Elegir Modelo de Produccion</label>
                                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                            <thead>
                                                <tr>
                                                    <th ></th>
                                                    <th >ID</th>
                                                    <th >Nombre Producto</th>
                                                    <th >Marca</th>
                                                    <th >Descripcion</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <template v-for='modelo in modelos'>
                                                    <tr>
                                                        <th><input type="radio"  v-bind:value="modelo.id" v-model="orden.model_production_id"></th>
                                                        <th >{{ modelo.id }}</th>
                                                        <th >{{ modelo.model_product.name }}</th>
                                                        <th >{{ modelo.model_product.mark }}</th>
                                                        <th >
                                                            <template v-for='insumo in modelo.materials'>
                                                            <p>
                                                            {{ insumo.id + '-' + insumo.material.name + '. Cantidad requerida: ' + insumo.quantity + '. En la fase: ' + insumo.phase  }}
                                                            </p>
                                                            </template>
                                                        </th>
                                                    </tr>
                                                </template>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </form>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button class="btn btn-secondary" aria-hidden="false" type="button" data-dismiss="modal">Cancelar</button>
                        <button class="btn btn-primary" @click="crearOrdenProduccion()" id="submitbutton" type="submit" data-dismiss="modal" aria-hidden="false" >Guardar</button>
                    </div>
                </div>
            </div>
        </div>









        <!-- New Product Modal  v-if="ventana" -->
            <div class="modal fade" id="editOrderoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog costume-modal-dialog" role="document">
                    <div class="modal-content costume-modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title"></h5>
                            <button  class="close" type="button" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="false">×</span>
                            </button>
                            </div>
                                <div v-if='modificar'class="form-group row">
                                    <div class="col">
                                        <label class="form-label"><font style="vertical-align: inherit;">Eligir Talle</font></label>
                                        <select class="form-control" v-model='orden.production_order_id.waistProduction.id'>
                                            <option  v-for="talle in talles" v-bind:value="talle.id"> {{ talle.name }}</option>
                                        </select>
                                    </div>
                                    <div class="col">
                                        <label class="form-label"><font style="vertical-align: inherit;">Eligir Color</font></label>
                                        <select class="form-control" v-model='orden.production_order_id.colourProduction.id'>
                                            <option  v-for="color in colores" v-bind:value="color.id"> {{ color.name }}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="modal-body">
                                    <div class="p-2">
                                        <form class="user"></form>
                                        <div class="form-group row">
                                        <table class="table table-bordered" >
                                            <tr>
                                                <th>Descripción</th>
                                                <th>Fecha</th>                                                    
                                            </tr>
                                            <template v-for="estado in historial">
                                                <tr>
                                                    <td>{{estado.description}}</td>
                                                    <td>{{estado.modification_date}}</td>
                                                </tr>
                                            </template>
                                        </table>
                                        </div>
                                        <div class="form-group row">
                                            <div v-if='anterior!=""' class="col-sm-6 mb-3 mb-sm-0">
                                                <button class="btn btn-primary" @click='cambiarFase("anterior")'> Pasar a {{ anterior }}</button>
                                            </div>
                                            <div v-if='siguiente!=""' class="col-sm-6">
                                                <button class="btn btn-primary" @click='cambiarFase("siguiente")'> Pasar a {{ siguiente }} </button>

                                                </div>
                                        </div>
                                        </form>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-secondary" aria-hidden="false" type="button" data-dismiss="modal">Cancelar</button>
                                    <button class="btn btn-primary" @click="modificarOrden()" id="submitbutton" type="submit" data-dismiss="modal" aria-hidden="false" >Guardar</button>
                                </div>
                        </div>

                </div>
            </div>

        <!-- Logout Modal-->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar cesión?</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">Seleccione "Cerrar cesión" si está listo para salir de la plataforma.</div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <form th:action="@{/logout}" method="post">
                            <input class='btn btn-primary ml-auto' type="submit" value="Cerrar Sesion"/>
                        </form>                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<!-- Bootstrap core JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>
<script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
<!-- Core plugin JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
<!-- Custom scripts for all pages-->
<script type="text/javascript" th:src="@{/js/template-main.js}"></script>
<!-- Page level plugins -->
<!--<script type="text/javascript" th:src="@{/js/datatables/jquery.dataTables.min.js}"></script>-->
<script type="text/javascript" th:src="@{/js/datatables/dataTables.bootstrap4.min.js}"></script>
<!-- Page level custom scripts -->
<script type="text/javascript" th:src="@{/js/demo/datatables-demo.js}"></script>

<!-- SCRIPT VUE JS-->
<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>

<script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

<script type="text/javascript" th:src="@{/js/cssandjs/atajos.js}"></script>
<!-- SCRIPT VUE JS-->
<script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
<script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>

<script type="text/javascript" th:src="@{/js/cssandjs/ordenes-produccion.js}"></script>

<!-- Custom scripts for all pages-->
<script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
